; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "iSpider"
!define PRODUCT_VERSION "0.5"
!define PRODUCT_PUBLISHER "iSpider Team"
!define PRODUCT_WEB_SITE "http://ipodder.sourceforge.net"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; License page
!insertmacro MUI_PAGE_LICENSE "GPL.txt"
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_SHOWREADME  "readme.txt"
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "iPodder_Setup.exe"
InstallDir "$PROGRAMFILES\ipodder"
ShowInstDetails show
ShowUnInstDetails show

Section "Files transfer" SEC01
  SetOutPath "$INSTDIR"
  SetOverwrite try
  File ".DS_Store"
  File ".project"
  SetOutPath "$INSTDIR\BitTorrent"
  File "BitTorrent\.cvsignore"
  File "BitTorrent\.DS_Store"
  File "BitTorrent\bencode.py"
  File "BitTorrent\bitfield.py"
  File "BitTorrent\btformats.py"
  File "BitTorrent\Choker.py"
  File "BitTorrent\Connecter.py"
  File "BitTorrent\CurrentRateMeasure.py"
  File "BitTorrent\download.py"
  File "BitTorrent\Downloader.py"
  File "BitTorrent\DownloaderFeedback.py"
  File "BitTorrent\Encrypter.py"
  File "BitTorrent\fakeopen.py"
  File "BitTorrent\HTTPHandler.py"
  File "BitTorrent\NatCheck.py"
  File "BitTorrent\parseargs.py"
  File "BitTorrent\PiecePicker.py"
  File "BitTorrent\RateMeasure.py"
  File "BitTorrent\RawServer.py"
  File "BitTorrent\Rerequester.py"
  File "BitTorrent\selectpoll.py"
  File "BitTorrent\Storage.py"
  File "BitTorrent\StorageWrapper.py"
  File "BitTorrent\testtest.py"
  File "BitTorrent\track.py"
  File "BitTorrent\Uploader.py"
  File "BitTorrent\zurllib.py"
  File "BitTorrent\__init__.py"
  SetOutPath "$INSTDIR"
  File "btdownloadlibrary.py"
  File "btshowmetainfo.py"
  File "favorites.txt"
  File "GPL.txt"
  File "install.py"
  File "iSpider.ico"
  File "iSpider.py"
  File "readme.txt"
  SetOutPath "$INSTDIR\Resources"
  File "Resources\.DS_Store"
  File "Resources\bu_postflight"
  File "Resources\configuration.py"
  File "Resources\postflight"
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  File "iSpider.bat"
  CreateDirectory "$SMPROGRAMS\iSpider"
  CreateShortCut "$SMPROGRAMS\iSpider\iSpider.lnk" "$INSTDIR\iSpider.bat" "" "$INSTDIR\iSpider.ico"
  CreateShortCut "$SMPROGRAMS\iSpider\Uninstall.lnk" "$INSTDIR\uninst.exe"
  Exec 'python "$INSTDIR\install.py" "$INSTDIR"'
SectionEnd

Section -AdditionalIcons
  WriteIniStr "$INSTDIR\${PRODUCT_NAME}.url" "InternetShortcut" "URL" "${PRODUCT_WEB_SITE}"
  CreateDirectory "$SMPROGRAMS\iSpider"
  CreateShortCut "$SMPROGRAMS\iSpider\Website.lnk" "$INSTDIR\${PRODUCT_NAME}.url"
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) was successfully removed from your computer."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to completely remove $(^Name) and all of its components?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  Delete "$INSTDIR\${PRODUCT_NAME}.url"
  Delete "$INSTDIR\uninst.exe"
  Delete "$INSTDIR\iSpider.bat"
  Delete "$INSTDIR\Resources\postflight"
  Delete "$INSTDIR\Resources\configuration.py"
  Delete "$INSTDIR\Resources\bu_postflight"
  Delete "$INSTDIR\Resources\.DS_Store"
  Delete "$INSTDIR\iSpider.py"
  Delete "$INSTDIR\iSpider.ico"
  Delete "$INSTDIR\install.py"
  Delete "$INSTDIR\configuration.py"
  Delete "$INSTDIR\GPL.txt"
  Delete "$INSTDIR\readme.txt"
  Delete "$INSTDIR\favorites.txt"
  Delete "$INSTDIR\btshowmetainfo.py"
  Delete "$INSTDIR\btdownloadlibrary.py"
  Delete "$INSTDIR\BitTorrent\__init__.py"
  Delete "$INSTDIR\BitTorrent\zurllib.py"
  Delete "$INSTDIR\BitTorrent\Uploader.py"
  Delete "$INSTDIR\BitTorrent\track.py"
  Delete "$INSTDIR\BitTorrent\testtest.py"
  Delete "$INSTDIR\BitTorrent\StorageWrapper.py"
  Delete "$INSTDIR\BitTorrent\Storage.py"
  Delete "$INSTDIR\BitTorrent\selectpoll.py"
  Delete "$INSTDIR\BitTorrent\Rerequester.py"
  Delete "$INSTDIR\BitTorrent\RawServer.py"
  Delete "$INSTDIR\BitTorrent\RateMeasure.py"
  Delete "$INSTDIR\BitTorrent\PiecePicker.py"
  Delete "$INSTDIR\BitTorrent\parseargs.py"
  Delete "$INSTDIR\BitTorrent\NatCheck.py"
  Delete "$INSTDIR\BitTorrent\HTTPHandler.py"
  Delete "$INSTDIR\BitTorrent\fakeopen.py"
  Delete "$INSTDIR\BitTorrent\Encrypter.py"
  Delete "$INSTDIR\BitTorrent\DownloaderFeedback.py"
  Delete "$INSTDIR\BitTorrent\Downloader.py"
  Delete "$INSTDIR\BitTorrent\download.py"
  Delete "$INSTDIR\BitTorrent\CurrentRateMeasure.py"
  Delete "$INSTDIR\BitTorrent\Connecter.py"
  Delete "$INSTDIR\BitTorrent\Choker.py"
  Delete "$INSTDIR\BitTorrent\btformats.py"
  Delete "$INSTDIR\BitTorrent\bitfield.py"
  Delete "$INSTDIR\BitTorrent\bencode.py"
  Delete "$INSTDIR\BitTorrent\.DS_Store"
  Delete "$INSTDIR\BitTorrent\.cvsignore"
  Delete "$INSTDIR\.project"
  Delete "$INSTDIR\.DS_Store"

  Delete "$SMPROGRAMS\iSpider\Website.lnk"
  Delete "$SMPROGRAMS\iSpider\iSpider.lnk"
  Delete "$SMPROGRAMS\iSpider\Uninstall.lnk"

  RMDir "$SMPROGRAMS\iSpider"
  RMDir "$INSTDIR\Resources"
  RMDir "$INSTDIR\BitTorrent"
  RMDir "$INSTDIR"
  RMDir ""

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  SetAutoClose true
SectionEnd
