from distutils.core import setup
import py2exe
import os

setup(
    version = "2.0.0",
    description = "iPodder",
    name = "iPodder",

    # targets to build
    windows = [ {
        "script": "iPodderGui.pyw", 
        "icon_resources": [
            (1, "icons_status/application.ico"),
            ] 
        } ],
    
    options = {
        "py2exe": {
            "packages": "encodings", 
            "includes": [
                "pythoncom",
                "anydbm",
                "dbhash",
                "_strptime",
                ],
            "typelibs": [
                ('{9E93C96F-CF0D-43F6-8BA8-B807A3370712}',0,1,2)
                ],
            }
        },
        
    data_files = [
        (".", ["favorites.txt",
               "gpl.txt",
               "readme.txt"]),
        ("gui", ["gui/iPodder.xrc",]),
        ("win32", ["win32/iPodder.ico",]),
        ("icons_status", ['icons_status/%s' % f
                          for f in os.listdir('icons_status')
                          if f.endswith('.ico') or f.endswith('.png') or f.endswith('.gif')]),
        ("images", ['images/%s' % f
                          for f in os.listdir('images')
                          if f.endswith('.bmp') or f.endswith('.gif')]),
        ]    
    )
